package cn.fw.valhalla.domain.db;

import cn.fw.common.data.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author kurisu
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CompanyWechatJoin extends BaseEntity<CompanyWechatJoin, Long> {
    /**
     * 商家id
     */
    private Long dealerId;
    /**
     * 客户id
     */
    private Long memberId;
    /**
     * 是否加入
     */
    private Boolean joined;
    /**
     * 加入时间
     */
    private Date joinTime;
    /**
     *移除时间
     */
    private Date removeTime;
}