package cn.fw.valhalla.domain.db.customer;


import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 事故车临时档案
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AccidentPool extends BaseAuditableTimeEntity<AccidentPool, Long> {
  /**
   * 名字
   */
  private String name;
  /**
   * 电话号码
   */
  private String mobile;
  /**
   * 报案手机号
   */
  private String reportMobile;
  /**
   * 车牌号
   */
  private String plateNo;
  /**
   * 车架号
   */
  private String frameNo;
  /**
   * 品牌id
   */
  private Long brandId;
  /**
   * 品牌
   */
  private String brandName;
  /**
   * 车系id
   */
  private Long seriesId;
  /**
   * 车系名称
   */
  private String seriesName;
  /**
   * 车型id
   */
  private Long specId;
  /**
   * 车型名称
   */
  private String specName;
  /**
   * 保险公司id
   */
  private Long insurerId;
  /**
   * 保险公司名称
   */
  private String insurerName;
  /**
   * 报案号
   */
  private String reportNum;
  /**
   * 所属门店id
   */
  private Long shopId;
  /**
   * 所属门店
   */
  private String shopName;
  /**
   * 报案地点
   */
  private String address;
  /**
   * 短信
   */
  private String sms;
  /**
   * 集团id
   */
  private Long groupId;
}
