package cn.fw.valhalla.domain.db.customer;

import cn.fw.common.data.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : CustomerReachLog
 * @description : 进站记录
 * @date: 2020-11-11 17:39
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerReachLog extends BaseEntity<CustomerReachLog, Long> {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * vin
     */
    private String frameNo;
    private Long shopId;
    private Long advisorId;
    private String advisorName;
    /**
     * 进站时间
     */
    private Date arrivalTime;
    /**
     * 集团id
     */
    private Long groupId;
}
