package cn.fw.valhalla.domain.dto;

import cn.fw.valhalla.sdk.enums.DataTypeEnum;
import lombok.Data;

import java.util.Date;

/**
 * @author : kurisu
 * @className : OriginalDataDTO
 * @description : 业务元数据dto
 * @date: 2020-08-15 10:12
 */
@Data
public class OriginalDataDTO {
    /**
     * 数据类型
     */
    private DataTypeEnum type;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 业务id
     */
    private String detailId;
    /**
     * 数据产生时间
     */
    private Date generateTime;
    private Long shopId;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 业务人员id
     */
    private Long userId;
    /**
     * 车牌号
     */
    private String plateNo;
}
