package cn.fw.valhalla.domain.dto;

import lombok.Data;

/**
 * @author : kurisu
 * @className : PublicPoolDTO
 * @description : 公共池
 * @date: 2021-09-10 16:41
 */
@Data
public class PublicPoolDTO {
    private Long id;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 档案名称
     */
    private String customerName;
    /**
     * 车牌号
     */
    private String plateNo;
    private String tags;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车型id
     */
    private Long specId;
    /**
     * 车型名称
     */
    private String specName;
    /**
     * 住址
     */
    private String address;
    /**
     * 工作单位
     */
    private String company;
    /**
     * 公共池类型
     */
    private Integer type;
    /**
     * 服务站
     */
    private Long shopId;
    /**
     * 服务站名称
     */
    private String shopName;
    /**
     * 进站次数
     */
    private Integer times;
    /**
     * 原因
     */
    private String reason;
    /**
     * 集团id
     */
    private Long groupId;
}
