package cn.fw.valhalla.domain.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.valhalla.domain.enums.LeaveTodoTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Objects;

/**
 * 档案查询条件
 *
 * @author kurisu
 */

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class LeaveQueryVO extends BasePageQuery {
    private Integer type;

    public LeaveTodoTypeEnum getType() {
        if (Objects.isNull(type)) {
            return null;
        }
        return LeaveTodoTypeEnum.ofValue(type);
    }
}