package cn.fw.valhalla.domain.vo;

import lombok.Data;

/**
 * @author : kurisu
 * @className : DistributableVO
 * @description : 可分配客户vo
 * @date: 2021-04-01 14:52
 */
@Data
public class DistributableVO {
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 人员名称
     */
    private String userName;
    /**
     * 可分配数量
     */
    private int distributableNum;
    /**
     * 门店id
     */
    private Long shopId;
}
