package cn.fw.valhalla.domain.vo.follow;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * @author : kurisu
 * @className : ACDetailVO
 * @description : 事故车跟进详情
 * @date: 2020-08-17 15:17
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ACDetailVO extends FollowDetailVO {
    /**
     * 事故车id
     */
    private Long accidentId;
    /**
     * 地址
     */
    private String address;
    /**
     * 交强险保险公司名称
     */
    private String insComName;
    /**
     * 报案手机号
     */
    private String reportMobile;
    /**
     * 所属门店
     */
    private Long shopId;
    /**
     * 所属门店
     */
    private String shopName;
    /**
     * 短信详情
     */
    private String sms;
}
