package cn.fw.valhalla.domain.vo.follow;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : FMDetailVO
 * @description : 首保跟进详情
 * @date: 2020-08-17 15:17
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class FMDetailVO extends FollowDetailVO {
    /**
     * 购车日期
     */
    private Date buyDate;
    /**
     * 首保到期时间
     */
    private Date FMExpiration;
}
