package cn.fw.valhalla.domain.vo.follow;

import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : FMTodoListVO
 * @description : 首保跟进列表VO
 * @date: 2020-08-17 10:33
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class FMTodoListVO extends FollowTodoListVO {
    /**
     * 购车日期
     */
    private Date buyDate;
    /**
     * 首保到期时间
     */
    private Date FMExpiration;

    public Integer getType() {
        return FollowTypeEnum.FM.getValue();
    }
}
