package cn.fw.valhalla.domain.vo.follow;

import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : IRTodoListVO
 * @description : 续保跟进列表VO
 * @date: 2020-08-17 10:33
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class IRTodoListVO extends FollowTodoListVO {
    /**
     * 保险公司名称
     */
    private String insComName;
    /**
     * 保险到期时间
     */
    private Date insExpiration;

    public Integer getType() {
        return FollowTypeEnum.IR.getValue();
    }
}
