package cn.fw.valhalla.domain.vo.follow;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : RMDetailVO
 * @description : 流失客户跟进详情
 * @date: 2020-08-17 15:17
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class RMDetailVO extends FollowDetailVO {
    /**
     * 上次里程 万公里
     */
    private Integer lastMileage;
    /**
     * 上次交车时间
     */
    private Date deliveryTime;
}
