package cn.fw.valhalla.rpc.erp.dto;

import lombok.*;

import java.io.Serializable;

/**
 * 用户信息
 *
 * @author kurisu
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(callSuper = true)
@Builder(toBuilder = true)
public class UserInfoDTO implements Serializable {
    private static final long serialVersionUID = 4707873632551546673L;
    /**
     * 用户ID
     */
    private Long id;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 头像
     */
    private String headImg;
    /**
     * 电话
     */
    private String mobile;
    /**
     * 昵称
     */
    private String nickName;

    private Long groupId;
}
