package cn.fw.valhalla.sdk.result;

import lombok.Data;

import java.util.Date;

/**
 * @author kurisu
 * @date 2020-08-27
 */
@Data
public class CustomerSimpleInfoDto {
    private Long id;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 发动机编号
     */
    private String engineNo;
    /**
     * 行驶证注册日期
     */
    private Date regDate;
    /**
     * 车型代码
     */
    private String specCode;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车系id
     */
    private Long specId;
    /**
     * 车系名称
     */
    private String specName;
    /**
     * 车辆图片
     */
    private String carImage;
    /**
     * 标签
     */
    private String tags;
    /**
     * 客户星级
     */
    private Integer cusLevel;
    /**
     * 姓名
     */
    private String name;
    /**
     * 联系电话
     */
    private String mobile;
    /**
     * 保险到期日期
     */
    private Date insuranceExpireDate;
    /**
     * 当前行驶里程 单位KM
     */
    private Integer currentMileage;
    /**
     * 购车时间
     */
    private Date buyDate;
    /**
     * 所属服务站id
     */
    private Long shopId;
    /**
     * 所属商家id
     */
    private Long dealerId;
    /**
     * 所属集团
     */
    private Long groupId;
    /**
     * 专属服务顾问id
     */
    private Long adviserId;
}