package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.ApproveRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author : kurisu
 * @className : ApproveRecordService
 * @description : 审批记录
 * @date: 2020-08-12 11:22
 */
public interface ApproveRecordService extends IService<ApproveRecord> {
    /**
     * 根据审批单号查询审批记录
     * @param orderNo
     * @return
     */
    ApproveRecord getByOrderNo(String orderNo);
}
