package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.LeaveNeedDo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.lang.NonNull;
import org.springframework.lang.Nullable;

/**
 * @author : kurisu
 * @className : LeaveNeedDoService
 * @description : 人员变动待处理事件
 * @date: 2020-10-16 17:02
 */
public interface LeaveNeedDoService extends IService<LeaveNeedDo> {
    /**
     * 通过id查询可处理数据
     *
     * @param id
     * @return
     */
    @Nullable
    LeaveNeedDo queryProcessableById(@NonNull Long id);

    /**
     * 处理数据
     *
     * @param id
     */
    void dealById(@NonNull Long id);
}
