package cn.fw.valhalla.service.data.impl;

import cn.fw.valhalla.dao.mapper.CustomerRetentionRatioMapper;
import cn.fw.valhalla.domain.db.report.CustomerRetentionRatio;
import cn.fw.valhalla.service.data.CustomerRetentionRatioService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author : kurisu
 * @className : CustomerRetentionRatioServiceImpl
 * @description : 保有客保持率
 * @date: 2020-11-24 15:48
 */
@Service
public class CustomerRetentionRatioServiceImpl extends ServiceImpl<CustomerRetentionRatioMapper, CustomerRetentionRatio> implements CustomerRetentionRatioService {
    @Override
    public void removeByDate(Date date) {
        remove(Wrappers.<CustomerRetentionRatio>lambdaQuery()
                .eq(CustomerRetentionRatio::getDataDate, date));
    }
}
