package cn.fw.valhalla.service.event;

import cn.fw.valhalla.sdk.enums.DataTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Date;

/**
 * @author : kurisu
 * @className : TaskCancelEvent
 * @description : 跟进取消事件
 * @date: 2020-08-18 14:02
 */
@Data
@AllArgsConstructor
public class TaskCancelEvent {
    /**
     * 数据类型
     */
    private DataTypeEnum dataTypeEnum;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 产生时间
     */
    private Date generateTime;
    /**
     * 集团id
     */
    private Long groupId;
}
