
alter table stammkunde_pool
    add reason int(3) null comment '战败原因' after reject_time;

alter table stammkunde_pool
    add new_user_id bigint null comment '新的顾问id（战败only）' after group_id;

alter table stammkunde_pool
    add new_user_name varchar(64) null comment '新的顾问名称' after new_user_id;

alter table stammkunde_pool
    add new_shop_id bigint null comment '新的门店id（战败only）' after new_user_name;

alter table stammkunde_pool
    add new_shop_name varchar(64) null comment '新的门店名称' after new_shop_id;

alter table customer_retention_ratio
    add type int(3) null comment '战败类型';

create index stammkunde_pool_activation_time_index
    on stammkunde_pool (activation_time);

create index stammkunde_pool_new_shop_id_index
    on stammkunde_pool (new_shop_id);

create index stammkunde_pool_new_user_id_index
    on stammkunde_pool (new_user_id);

create index stammkunde_pool_reason_index
    on stammkunde_pool (reason);

