package cn.fw.valhalla.common.utils;

import java.text.MessageFormat;
import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

/**
 * @author kurisu
 * @description 占位符转换工具
 * @date 2019/5/30.
 */
public class MessageFormatUtil {

    public static String MessageFormatTransfer(String pattern, Object... arguments) {
        List<Object> param = new ArrayList<>();
        for (int i = 0; i < arguments.length; i++) {
            if (arguments[i] instanceof Number) {
                param.add(String.valueOf(arguments[i]));
            }else {
                param.add(arguments[i]);
            }
        }
        return MessageFormat.format(pattern, param.toArray());
    }

    public static void main(String[] args) {
        //  System.out.println("示例：" + MessageFormatTransfer("crm:valhalla:save:lock:key:{0}:{1}", 11111L, new Date()));

        System.out.println(LocalDate.now().plusYears(0));
    }

}
