package cn.fw.valhalla.domain.db;

import cn.fw.common.data.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * 微信公众号关注情况
 * @author kurisu
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class WechatSubscribe extends BaseEntity<WechatSubscribe, Long> {
    /**
     * 客户id
     */
    private Long memberId;
    /**
     * 是否关注
     */
    private Boolean subscribed;
    /**
     * 关注时间
     */
    private Date subscribeTime;
    /**
     * 取关时间
     */
    private Date unSubscribeTime;
}