package cn.fw.valhalla.domain.db.customer;

import cn.fw.common.data.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : CustomerImport
 * @description : 档案导入数据
 * @date: 2020-11-18 14:59
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CustomerImport extends BaseEntity<CustomerImport, Long> {
    private String plateNo;
    private String adviserName;
    private Long adviserId;
    private String brandName;
    private String seriesName;
    private String specName;
    private String specCode;
    private String name;
    private Long shopId;
    private String engineNo;
    private String mobile;
    private Integer currentMileage;
    private Date arrivalTime;
    private String frameNo;
    private Integer mark;
    private Boolean needAssigning;
    private Long oldId;
}
