package cn.fw.valhalla.domain.db.setting;


import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 跟进设置
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FollowSetting extends BaseAuditableTimeEntity<FollowSetting, Long> {
  /**
   * 跟进类型
   */
  private FollowTypeEnum category;
  /**
   * 集团id
   */
  private Long groupId;
}
