package cn.fw.valhalla.domain.dto;

import lombok.Data;

import java.util.Date;

/**
 * @author : kurisu
 * @className : PublicCluePoolDTO
 * @description : 公共池客户转换dto
 * @date: 2021-03-29 14:55
 */
@Data
public class PublicCluePoolDTO {
    private Long id;
    /**
     * 转换状态
     */
    private Integer state;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 车辆名称
     */
    private String carName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 顾问id
     */
    private Long adviserId;
    /**
     * 顾问名称
     */
    private String adviserName;
    /**
     * 档案创建时间
     */
    private Date activationTime;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 区域
     */
    private String regionName;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 客户星级
     */
    private Integer customerLevel;
    /**
     * 标签
     */
    private String tags;
    /**
     * 贷款到期时间
     */
    private Date loanExpires;
    /**
     * 购车时间
     */
    private Date buyDate;
    /**
     * 保险到期时间
     */
    private Date insuranceExpires;
    /**
     * 上次进站时间
     */
    private Date arrivalTime;
    /**
     * 进站次数
     */
    private Integer times;
    /**
     * 转换倒计时
     */
    private Integer remaining;
}
