package cn.fw.valhalla.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * @author : kurisu
 * @className : RoleChangeDTO
 * @description : 角色变动dto
 * @date: 2021-02-20 15:11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class RoleChangeDTO {
    /**
     * 门店
     */
    private Long shopId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
}
