package cn.fw.valhalla.domain.dto;

import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @className : StammkundeAnalyseDTO
 * @description : 保有客分析DTO
 * @date: 2021-01-21 18:11
 */
@Data
@ToString
public class StammkundeAnalyseDTO {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 档案名称
     */
    private String customerName;
    /**
     * 车牌
     */
    private String plateNo;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 经度
     */
    private BigDecimal lng;
    /**
     * 区域码
     */
    private String regionCode;
    /**
     * 区域名称
     */
    private String regionName;
}
