package cn.fw.valhalla.domain.dto;

import cn.fw.valhalla.domain.enums.DefeatReasonEnum;
import lombok.Data;

/**
 * @author : kurisu
 * @className : StammkundeDto
 * @description : 保有客池禁用dto
 * @date: 2020-12-21 14:40
 */
@Data
public class StammkundeDto {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 战败原因
     */
    private DefeatReasonEnum reason;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 新顾问id
     */
    private Long newUserId;
    /**
     * 新顾问名称
     */
    private String newUserName;
    /**
     * 新门店id
     */
    private Long newShopId;
    /**
     * 新门店名称
     */
    private String newShopName;
    /**
     * 集团id
     */
    private Long groupId;
}
