package cn.fw.valhalla.domain.query;


import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @className : CustomCustomerQuery
 * @description :
 * @date: 2022-01-10 17:46
 */
@Data
public class CustomCustomerQuery {

    private Integer minMileage;
    private Integer maxMileage;
    private LocalDate minBuyDate;
    private LocalDate maxBuyDate;
    private Integer level;


    private boolean andCondition;


    private Integer customerType;

    private Long groupId;

    private Integer followType;
    private String frameNo;
    private List<Long> shopList;
    /**
     * 排除用户集
     */
    private List<Long> excludeCustomerIds;
}
