package cn.fw.valhalla.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author kurisu
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PostUserVO implements Serializable {
    private static final long serialVersionUID = -6108591548534160179L;
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户姓名
     */
    private String userName;
    /**
     * 当前保有客数
     */
    private Integer curQuantity;
}
