package cn.fw.valhalla.domain.vo.customer;

import lombok.Data;

/**
 * @author Kurisu
 * 2020-02-25 5:17 下午
 */
@Data
public class CustomerContactVO {
    /**
     * 联系人id
     */
    private Long id;
    /**
     * 档案id
     */
    private Long cusId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 类型;1：送修人2：同行人
     *
     * @see cn.fw.valhalla.domain.enums.ContactTypeEnum
     */
    private Integer type;
    /**
     * 关系
     *
     * @see cn.fw.valhalla.domain.enums.ContactRelationEnum
     */
    private Integer relation;
    /**
     * 号码归属地
     */
    private String region;
}
