package cn.fw.valhalla.domain.vo.follow;

import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * @author : kurisu
 * @className : ACTodoListVO
 * @description : 事故车跟进列表VO
 * @date: 2020-08-17 10:33
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ACTodoListVO extends FollowTodoListVO {
    /**
     * 保险公司名称
     */
    private String insComName;

    public Integer getType() {
        return FollowTypeEnum.AC.getValue();
    }
}
