package cn.fw.valhalla.domain.vo.follow;

import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : RMTodoListVO
 * @description : 流失客户跟进列表VO
 * @date: 2020-08-17 10:33
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class RMTodoListVO extends FollowTodoListVO {
    /**
     * 上次进站里程
     */
    private Integer lastMileage;
    /**
     * 上次交车
     */
    private Date deliveryTime;

    public Integer getType() {
        return FollowTypeEnum.RM.getValue();
    }
}
