package cn.fw.valhalla.rpc.angel.dto;

import lombok.Data;

import java.util.Date;

/**
 * @author kurisu
 */
@Data
public class InsuranceDTO {
    /**
     * 商业险保险公司id
     */
    private Long insurerId;
    /**
     * 商业险保险公司名称
     */
    private String insurerName;

    /**
     * 保险过期时间
     */
    private Date expiryDate;
    /**
     * 保险生效时间
     */
    private Date effectDate;

    /**
     * 交强险到期时间
     */
    private Date tciExpiryDate;
    /**
     * 交强险保险生效时间
     */
    private Date tciEffectDate;
}