package cn.fw.valhalla.rpc.hestia.dto;

import lombok.Builder;
import lombok.Data;
import lombok.ToString;

import java.util.Map;

/**
 * @author : kurisu
 * @className : TemplateDTO
 * @description :
 * @date: 2021-09-30 15:25
 */
@Data
@Builder
@ToString
public class TemplateDTO {
    private Long memberId;
    /**
     * 标题 小程序展示用
     * maxLength 32
     */
    private String title;
    /**
     * 消息内容 对应「first」字段
     */
    private String content;
    /**
     * 额外展示内容
     */
    private Map<String, String> extraMap;
    /**
     * 备注
     */
    private String remark;
    /**
     * 如需跳转小程序，则是小程序页面路径
     */
    private String path;
    /**
     * 跳转小程序所携带的参数
     */
    private Map<String, String> paramMap;
}
