package cn.fw.valhalla.rpc.oop.dto;

import lombok.Data;

/**
 * 车型DTO
 * <p>
 * create at 2019-05-09
 *
 * @author kurisu
 */
@Data
public class SpecDTO {
    /**
     * 车型id
     */
    private Long id;
    /**
     * 品牌ID
     */
    private Long brandId;

    /**
     * 厂商ID
     */
    private Long factoryId;

    /**
     * 车系ID
     */
    private Long seriesId;

    /**
     * 车型名称
     */
    private String name;

    /**
     * 缩略图
     */
    private String thumbnail;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 座位数量
     */
    private Integer seatCount;

    /**
     * 发动机排量
     */
    private Double exhaust;

    /**
     * 车型代码
     */
    private String specCode;

    /**
     * 销售状态:0停售,1在售,2待售
     */
    private Integer saleStatus;

    /**
     * 生产状态:0停产,1在产
     */
    private Integer proStatus;
}
