package cn.fw.valhalla.sdk.param;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 变更服务顾问
 * <p>
 * create at 2020-03-20
 *
 * @author xiatian
 */
@Data
public class ChangeAdviserReq {
    /**
     * 保有客id
     */
    @NotNull(message = "保有客id不能为空")
    private Long cusId;
    /**
     * 变更原因
     * @see cn.fw.valhalla.sdk.enums.ReasonEnum
     */
    @NotNull(message = "变更原因不能为空")
    private Integer reason;
    /**
     * 服务顾问id
     */
    @NotNull(message = "服务顾问id不能为空")
    private Long adviserId;
    /**
     * 服务顾问姓名
     */
    private String adviserName;

}
