package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.customer.AccidentPool;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author : kurisu
 * @className : AccidentPoolService
 * @description : 事故池
 * @date: 2020-08-12 11:22
 */
public interface AccidentPoolService extends IService<AccidentPool> {
    /**
     * 通过报案号查询
     * @param reportNum
     * @param groupId
     * @return
     */
    AccidentPool queryByReportNum(String reportNum, Long groupId);
}
