package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.SecretReportHistory;
import cn.fw.valhalla.domain.dto.SecretReportHistoryDTO;
import cn.fw.valhalla.domain.query.SecretReportHistoryQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author : kurisu
 * @className : SecretReportHistoryService
 * @description : 通话记录
 * @date: 2021-02-21 14:58
 */
public interface SecretReportHistoryService extends IService<SecretReportHistory> {
    /**
     * 通话记录池
     * @param query
     * @return
     */
    List<SecretReportHistoryDTO> secretReportList(SecretReportHistoryQuery query);

    /**
     * 查询总数
     * @param query
     * @return
     */
    Long secretReportCount(SecretReportHistoryQuery query);
}
