package cn.fw.valhalla.service.event;

import cn.fw.valhalla.domain.enums.ApproveTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author : kurisu
 * @className : CancelApproveEvent
 * @description : 取消审批事件
 * @date: 2020-10-15 17:26
 */
@Data
@AllArgsConstructor
public class CancelApproveEvent {
    private Long taskId;
    private ApproveTypeEnum typeEnum;
}
