package cn.fw.valhalla.service.event;

import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author : kurisu
 * @className : CustomerDefeatedEvent
 * @description : 保有客战败事件
 * @date: 2020-11-16 11:29
 */
@Data
@AllArgsConstructor
public class CustomerDefeatedEvent {
    private Long clueId;
    private Long customerId;
    private FollowTypeEnum followTypeEnum;
}
